{% extends "base.html" %}

{% load widget_tweaks %}

{% block title %} Registro | {{ block.super }} {% endblock %}

{% block container %}
<div class="row">
    <div class="col-md-8 col-md-offset-2">
        <div class="page-header">
            <h1>Registro</h1>
        </div>
        <form class="form-horizontal" method="post">
            {% csrf_token %}
            {% for error in form.non_field_errors %}
            <div class="alert alert-danger">
                {{ error }}
            </div>
            {% endfor %}
            <fieldset>
                {% for field in form %}
                <div class="form-group{% if field.errors %} has-error{% endif %}">
                  <label for="{{ field.auto_id }}" class="col-md-3 control-label">{{ field.label }}</label>
                  <div class="col-md-9">
                    {% render_field field class="form-control" %}
                    {% for error in field.errors %}
                    <span class="help-block">{{ error }}</span>
                    {% endfor %}
                  </div>
                </div>
                {% endfor %}
                <div class="form-group">
                  <div class="col-md-9 col-md-offset-3">
                    <button type="submit" class="btn btn-primary">Registrar</button>
                  </div>
                </div>
            </fieldset>
        </form>
    </div>
</div>
{% endblock %}